#
# spec file for package pgperl (Version 2.1.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

Name:         pgperl
BuildRequires: postgresql-devel
Version:      2.1.1
Release:      1.1
Provides:     postgresql-perl
Obsoletes:    postgresql-perl
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Productivity/Databases/Clients
License:      GPL, Artistic License
URL:          http://www.postgresql.org/
Summary:      Perl Client Library for PostgreSQL
Source0:      Pg-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This package contains a module to access PostgreSQL databases from Perl
programs.

It shouldn't be used for new developments as the Perl DBI module
provides a much better infrastructure to access various databases from
Perl. See the perl-DBI and perl-DBD-Pg packages for details.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%prep
%setup -q -n Pg-%version

%build
export POSTGRES_LIB=%_libdir/pgsql
export POSTGRES_INCLUDE=%_includedir/pgsql
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS"
make

%install
make DESTDIR=%buildroot install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc %_mandir/man?/*
%doc examples Changes README
%perl_vendorarch/Pg.pm
%perl_vendorarch/auto/Pg
/var/adm/perl-modules/%{name}

%changelog
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Aug 19 2004 max@suse.de
- New version: 2.1.1.
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Aug 20 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 max@suse.de
- Fix build for perl-5.8.1.
* Thu Jun 26 2003 ro@suse.de
- removed traces of buildroot from installed files
* Mon Jun 23 2003 ro@suse.de
- added directory to filelist
* Thu Mar  6 2003 max@suse.de
- Added Provides and Obsoletes tags to document the rename.
* Tue Feb  4 2003 max@suse.de
- Renamed from postgresql-perl to pgperl.
- New: verson 2.0.2
- The sources of pgperl have been moved out of the postgresql core
  distribution, and so this becomes a package of it's own. For
  older history see the changes file of the postgresql package.
